﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamComboEditorSTheme
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<CustomDataItem> coll = new ObservableCollection<CustomDataItem>();
            coll.Add(new CustomDataItem() { ID = 1, Name = "item 1" });
            coll.Add(new CustomDataItem() { ID = 2, Name = "item 2" });
            coll.Add(new CustomDataItem() { ID = 3, Name = "item 3" });
            coll.Add(new CustomDataItem() { ID = 4, Name = "item 4" });

            this.DataContext = coll;
        }
    }

    public class CustomDataItem
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
